/* Bridge */
.mobile_menu_button {
  height: 30px;
  margin-right: 0px;
  cursor: pointer;
  width: 40px;
  margin-top: 30px;
  margin-bottom: 30px;
  z-index: 10001;
}
.mobile_menu_button > span {
    width: 100%;
    height: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
/* End Bridge */

.animated-menu {
  width: 40px;
  height: 25px;
  position: relative;
  cursor: pointer;
}
.animated-menu .bar {
  position: absolute;
  left: 0;
  width: 100%;
  height: 4px;
  background-color: #070070;
  border-radius: 2px;
  transform-origin: center;
  transition: transform 0.4s ease, opacity 0.4s ease;
  will-change: transform, opacity;
}
.animated-menu .top {
  top: 0;
}
.animated-menu .middle {
  top: 50%;
  transform: translateY(-50%);
  transition: transform 0.4s ease, opacity 0.4s ease;
}
.animated-menu .bottom {
  bottom: 0;
}
.animated-menu.open .top {
  transform: translateY(10.5px) rotate(-45deg);
}
.animated-menu.open .middle {
  opacity: 0;
  transform: translateY(-50%) translateX(40px);
  pointer-events: none;
}
.animated-menu.open .bottom {
  transform: translateY(-10.5px) rotate(45deg);
}

.animated-menu:hover .bar {
  background-color: #e30000;
}
.animated-menu.open .bar {
  background-color: #e30000;
}
.animated-menu.open .bar {
  background-color: #e30000;
}

@media screen and (min-width:1001px) {
  .animated-menu {
    display: none;
  }
}
